Subject: [Isis-wg] FW: New Version Notification for draft-xu-isis-routable-ip-address-00.txt

From: Xuxiaohu <[email-masked]>
Date: Thu, 29 May 2014 03:46:21 +0000

Hi all,

To avoid the confusion between routable IP addresses and router IDs, this draft (http://tools.ietf.org/html/draft-xu-isis-ipv6-router-id-00) has been replaced by the following draft (http://tools.ietf.org/html/draft-xu-isis-routable-ip-address-00) according to the previous discussion in the mailing-list. Thanks a lot for those people who have given many valuable comments and suggestions on the former draft. Any further comments on the latter draft are welcome.

Best regards,
Xiaohu/Uma

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: Thursday, May 29, 2014 11:20 AM
> To: Uma Chunduri; Xuxiaohu; Uma Chunduri; Xuxiaohu
> Subject: New Version Notification for draft-xu-isis-routable-ip-address-00.txt
> 
> 
> A new version of I-D, draft-xu-isis-routable-ip-address-00.txt
> has been successfully submitted by Xiaohu Xu and posted to the IETF repository.
> 
> Name:		draft-xu-isis-routable-ip-address
> Revision:	00
> Title:		Carrying Routable IP Addresses in IS-IS Router Capability TLV
> Document date:	2014-05-29
> Group:		Individual Submission
> Pages:		4
> URL:
> http://www.ietf.org/internet-drafts/draft-xu-isis-routable-ip-address-00.txt
> Status:
> https://datatracker.ietf.org/doc/draft-xu-isis-routable-ip-address/
> Htmlized:       http://tools.ietf.org/html/draft-xu-isis-routable-ip-address-00
> 
> 
> Abstract:
>    This document proposes two new sub-TLVs of the IS-IS Router
>    CAPABILITY TLV, called Routable IPv4 Address sub-TLV and Routable
>    IPv6 Address sub-TLV respectively.
> 
> 
> 
> 
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
> 
> The IETF Secretariat

---

From: "Les Ginsberg (ginsberg)" <[email-masked]>
Date: Thu, 29 May 2014 04:57:32 +0000

Xiaohu/Uma -

Regardless of the name, I see no reason for this draft. :-)

RFC 5305 and RFC 6119 define the IPv4 and IPv6 Router ID TLVs. Those RFCs specifically state that the router id MAY be used for purposes other than Traffic Engineering.

RFC 5316 clearly states that the TE Router IDs sub-TLVs in the Router Capability TLV were defined to advertise the TE Router IDs as per RFC 5305/RFC 6119 in cases where domain flooding scope is required - which the original TLVs cannot do. It therefore logically follows that the addresses advertised in the sub-TLVs of the Router Capability TLV have the same uses as the area scoped counterparts. So the premise on which your draft is written:

" TE Router ID sub-TLVs as defined in [RFC5316] ... are specifically designed for
   Traffic-Engineering (TE) purpose."

seems FALSE to me.

Please, let's not needlessly add confusion to the protocol by having multiple sub-TLVs which advertise the same information.

    Les

> From: Isis-wg [mailto:[email-masked]] On Behalf Of Xuxiaohu
> Sent: Wednesday, May 28, 2014 8:46 PM
> To: [email-masked]
> Subject: [Isis-wg] FW: New Version Notification for draft-xu-isis-routable-
> ip-address-00.txt
> 
> Hi all,
> 
> To avoid the confusion between routable IP addresses and router IDs, this
> draft (http://tools.ietf.org/html/draft-xu-isis-ipv6-router-id-00) has been
> replaced by the following draft (http://tools.ietf.org/html/draft-xu-isis-
> routable-ip-address-00) according to the previous discussion in the mailing-
> list. Thanks a lot for those people who have given many valuable comments
> and suggestions on the former draft. Any further comments on the latter
> draft are welcome.
> 
> Best regards,
> Xiaohu/Uma
> 
> _______________________________________________
> Isis-wg mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/isis-wg

---

From: Uma Chunduri <[email-masked]>
Date: Thu, 29 May 2014 22:03:25 +0000

Les,

In-line [Uma]:

--
Uma C.

-----Original Message-----
From: Isis-wg [mailto:[email-masked]] On Behalf Of Les Ginsberg (ginsberg)
Sent: Wednesday, May 28, 2014 9:58 PM
To: Xuxiaohu; [email-masked]
Subject: Re: [Isis-wg] New Version Notification for draft-xu-isis-routable-ip-address-00.txt

Xiaohu/Uma -

[Uma]: As the name itself suggests these are TE router IDs (The Traffic Engineering router ID TLV is TLV type 134 & The IPv6 TE Router ID TLV is TLV type 140) and
             yes these are  extended for domain scope in RFC 5316 as "TE Router ID sub-tlvs".
RFC 5305: TLV 134
" If a router does not implement traffic engineering, it MAY add or
   omit the Traffic Engineering router ID TLV.  If a router implements
   traffic engineering, it MUST include this TLV in its LSP.  This TLV
   SHOULD not be included more than once in an LSP."

So I don't think what is stated is FALSE.  These are indeed designed for TE. However I agree, any decent implementation generally  emit this TLV if a loopback is provisioned.

[Uma]: This is a good point. If a loopback is already advertised as "TE router ID TLV" then there is no point in advertising the same through these "Routable IP address" define.
             This can be explicitly stated.
             The point of the draft, as I see is to indicate one or more  routable IP addresses hosted by a node without having to tie up to the current TE Router IDs.

---

From: "Les Ginsberg (ginsberg)" <[email-masked]>
Date: Thu, 29 May 2014 22:57:43 +0000

Uma -

The TE Router IDs are defined to be [from RFC5305]:

"a single
      stable address that can always be referenced in a path that will
      be reachable from multiple hops away, regardless of the state of
      the node's interfaces."

i.e. so long as the node is reachable the address advertised by the router ID TLV/sub-TLV is reachable. This satisfies the requirement stated in your draft:

"IS-IS routers
   within one area to find correlations between routable IP addresses
   and capabilities of IS-IS routers within another area."

You don't need multiple addresses.

If you want to discuss the need for multiple addresses and how to correlate a specific address to a specific capability (which I really wish you wouldn't... :)) you are attempting to address a different requirementand you need to write a different draft.

I stand by my opinion that there is no need for the current draft.

   Les

From: Uma Chunduri [mailto:[email-masked]]
Sent: Thursday, May 29, 2014 3:03 PM
To: Les Ginsberg (ginsberg); Xuxiaohu; [email-masked]
Subject: RE: New Version Notification for draft-xu-isis-routable-ip-address-00.txt

Les,

In-line [Uma]:

--
Uma C.

-----Original Message-----
From: Isis-wg [mailto:[email-masked]] On Behalf Of Les Ginsberg (ginsberg)
Sent: Wednesday, May 28, 2014 9:58 PM
To: Xuxiaohu; [email-masked]<mailto:[email-masked]>
Subject: Re: [Isis-wg] New Version Notification for draft-xu-isis-routable-ip-address-00.txt

Xiaohu/Uma -

---

From: Uma Chunduri <[email-masked]>
Date: Fri, 30 May 2014 17:22:56 +0000

Les,

>You don't need multiple addresses.

Yes, if TE is supported by the advertising node and RID is present then no need.

> If you want to discuss the need for multiple addresses and how to correlate a specific address to a specific capability (which I really wish you wouldn't... :))
> you are attempting to address a different requirementand you need to write a different draft.

My main point is precisely this. There are more than one situation where we need a specific address to a specific capability. It's good if we can tie the capability,
but the same can be achieved without having to tie this way (merely allowing multiple addresses would  help greatly, from where we are).

>I stand by my opinion that there is no need for the current draft.

:)  ..While we can improve upon this draft; it's clear you have strong reservation about the current draft. Shall discuss more!

--
Uma C.

From: Uma Chunduri [mailto:[email-masked]]
Sent: Thursday, May 29, 2014 3:03 PM
To: Les Ginsberg (ginsberg); Xuxiaohu; [email-masked]<mailto:[email-masked]>
Subject: RE: New Version Notification for draft-xu-isis-routable-ip-address-00.txt

Les,

In-line [Uma]:

--
Uma C.

-----Original Message-----
From: Isis-wg [mailto:[email-masked]] On Behalf Of Les Ginsberg (ginsberg)
Sent: Wednesday, May 28, 2014 9:58 PM
To: Xuxiaohu; [email-masked]<mailto:[email-masked]>
Subject: Re: [Isis-wg] New Version Notification for draft-xu-isis-routable-ip-address-00.txt

Xiaohu/Uma -